<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AdminLTE 3 | List User</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- css for bootstrap  -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="../../index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">User</a>
      </li>
    </ul>

 
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="../../index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Devcamp 123</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Alexander Pierce</a>
        </div>
      </div>

     
      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open ">
            <a href="#" class="nav-link active ">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item ">
                <a href="user.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Users</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="products.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>products</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="orders.html" class="nav-link active ">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Orders</p>
                </a>
              </li>
            </ul>
          </li>

         
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>List User</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">User</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="container">
        <h2 style="text-align: center;">Danh sách đơn hàng</h2>
       
         <div class="row form-group ">
          <div class="col-2">
            <lable class="label">Trạng thái Order</lable>
          </div>
          <div class="col-3">
            <select class="form-control" id="slt-status">
                <option value="0">All</option>
                <option value="open">Open</option>
                <option value="confirmed">Confirmed</option>
                <option value="cancel">Cancel</option>
            </select>
          </div>
          <div class="col-2">
            <label class="label">Loại Pizza</label>
          </div>
          <div class="col-3">
           <select class="form-control" id="slt-pizza-type">
                <option value="0">All</option>
                <option value="Hawaii">Hawaii</option>
                <option value="bacon">Bacon</option>
                <option value="Seafood">Seafood</option>
           </select>
          </div>
          <div class="col-2">
            <button id="btn-filter" class="btn btn-primary">Filter</button>
          </div>
          
         </div>
        
        
        <table class="table table-bordered table-striped table-hover" id="don-table">
          <thead>
            <tr>
              <th>Order code</th>
              <th>Kich cỡ Combo</th>
              <th>Loại Pizza</th>
              <th>Nước Uống</th>
              <th>Thành Tiền</th>
              <th>Họ và tên</th>
              <th>số điện thoại</th>
              <th>Trạng thái</th>
              <th>Chi tiết</th>
            </tr>
        </table>
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0
    </div>
    <strong>Copyright &copy; 2022-2023 <a href="https://adminlte.io"> Devamp 120</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
 
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- datatable script  -->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

<!-- source code datatable  -->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<script>
  var gListUser;
  $(document).ready(function(){
     /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
     //creata a data for DataTable
     
     const gCOLUMN_ID = 0;
      const gCOLUMN_KICH_CO = 1;
      const gCOLUMN_LOAI_PIZZA = 2;
      const gCOLUMN_NUOC_UONG = 3;
      const gCOLUMN_THANH_TIEN = 4 ;
      const gCOLUMN_HO_TEN = 5;
      const gCOLUMN_SO_DIENTHOAI = 6;
      const gCOLUMN_TRANGTHAI = 7;
      const gCOLUMN_ACTION = 8;

      const gNAME_COL = ["id","duongKinh","loaiPizza","idLoaiNuocUong",
          "thanhTien","hoTen","soDienThoai","trangThai","Action"];
          
          // định nghĩa table  - chưa có data
          var gUserTable = $("#don-table").DataTable( {
          // Khai báo các cột của datatable
          "columns" : [
              { "data" : gNAME_COL[gCOLUMN_ID] },
              { "data" : gNAME_COL[gCOLUMN_KICH_CO] },
              { "data" : gNAME_COL[gCOLUMN_LOAI_PIZZA] },
              { "data" : gNAME_COL[gCOLUMN_NUOC_UONG] },
              { "data" : gNAME_COL[gCOLUMN_THANH_TIEN] },
              { "data" : gNAME_COL[gCOLUMN_HO_TEN] },
              { "data" : gNAME_COL[gCOLUMN_SO_DIENTHOAI] },
              { "data" : gNAME_COL[gCOLUMN_TRANGTHAI] },
              { "data" : gNAME_COL[gCOLUMN_ACTION] }
          ],
          // Ghi đè nội dung của cột action, chuyển thành button chi tiết
          "columnDefs": [ 
          {
              "targets": gCOLUMN_ACTION,
              "defaultContent": "<button class='info-user btn btn-info'>Chi tiết</button>"
          }]
          });
      onPageLoading();
     /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  //function on Button chi tiet click
  $("#don-table").on("click",".info-user",function(){
          console.log("xử lý chi tiết");
          var vCurrentInfo = getCurrentInfo(this);
          console.log(vCurrentInfo);
     })

  //function on button Filter Click
  $("#btn-filter").on("click",function(){
      var vFilter = btnFilterClick()
      debugger;
      console.log(vFilter);
     loadDataToTable(vFilter);
  });
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */  
  //function on click filter
  function btnFilterClick(){
      var vResult = [];
      var vStatus = $("#slt-status").val();
      var PizzaType = $("#slt-pizza-type").val();
      var vResult = gListUser.filter(function(item){
          return (vStatus === item.trangThai || PizzaType === item.loaiPizza ||
          vStatus === 0 && PizzaType === 0);
      })

      return vResult;
  }
  
    
     //function load dataa for beginning
  function onPageLoading(){
      $.ajax({
      url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
      type: "GET",
      dataType: 'json',
      success: function(responseObject){
        //debugger;
        loadDataToTable(responseObject);
        gListUser = responseObject;
        console.log(gListUser);
      },
      error: function(error){
        console.assert(error.responseText);
      }
    });
  }
     /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
  
  function loadDataToTable(paramResponseObject) {
    //Xóa toàn bộ dữ liệu đang có của bảng
    gUserTable.clear();
    //Cập nhật data cho bảng 
    gUserTable.rows.add(paramResponseObject);
    //Cập nhật lại giao diện hiển thị bảng
    gUserTable.draw();
  }
  })

  //function get Current info on click button Chi tiet
  function getCurrentInfo(paraBtn){
      var vTrCurrent = $(paraBtn).closest("tr");
      var vTable = $("#don-table").DataTable();
      var vCurrentInfo = vTable.row(vTrCurrent).data();
      return vCurrentInfo;
  }
</script>
</body>
</html>
